package com.ruoyi.project.reliability.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.reliability.mapper.TKekaoApproveMapper;
import com.ruoyi.project.reliability.domain.TKekaoApprove;
import com.ruoyi.project.reliability.service.ITKekaoApproveService;

/**
 * 可靠性管理申请Service业务层处理
 *
 * @author ruoyi
 * @date 2022-07-08
 */
@Service
public class TKekaoApproveServiceImpl implements ITKekaoApproveService
{
    @Autowired
    private TKekaoApproveMapper tKekaoApproveMapper;

    /**
     * 查询可靠性管理申请
     *
     * @param id 可靠性管理申请ID
     * @return 可靠性管理申请
     */
    @Override
    public TKekaoApprove selectTKekaoApproveById(Long id)
    {
        return tKekaoApproveMapper.selectTKekaoApproveById(id);
    }

    /**
     * 查询可靠性管理申请列表
     *
     * @param tKekaoApprove 可靠性管理申请
     * @return 可靠性管理申请
     */
    @Override
    public List<TKekaoApprove> selectTKekaoApproveList(TKekaoApprove tKekaoApprove)
    {
        return tKekaoApproveMapper.selectTKekaoApproveList(tKekaoApprove);
    }

    /**
     * 新增可靠性管理申请
     *
     * @param tKekaoApprove 可靠性管理申请
     * @return 结果
     */
    @Override
    public int insertTKekaoApprove(TKekaoApprove tKekaoApprove)
    {
        return tKekaoApproveMapper.insertTKekaoApprove(tKekaoApprove);
    }

    /**
     * 修改可靠性管理申请
     *
     * @param tKekaoApprove 可靠性管理申请
     * @return 结果
     */
    @Override
    public int updateTKekaoApprove(TKekaoApprove tKekaoApprove)
    {
        return tKekaoApproveMapper.updateTKekaoApprove(tKekaoApprove);
    }

    /**
     * 批量删除可靠性管理申请
     *
     * @param ids 需要删除的可靠性管理申请ID
     * @return 结果
     */
    @Override
    public int deleteTKekaoApproveByIds(Long[] ids)
    {
        return tKekaoApproveMapper.deleteTKekaoApproveByIds(ids);
    }

    /**
     * 删除可靠性管理申请信息
     *
     * @param id 可靠性管理申请ID
     * @return 结果
     */
    @Override
    public int deleteTKekaoApproveById(Long id)
    {
        return tKekaoApproveMapper.deleteTKekaoApproveById(id);
    }
}
